Name:           plotmm
Version:        0.1.2
Release:        20%{?dist}
Summary:        GTKmm plot widget for scientific applications
Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://plotmm.sourceforge.net/
Source0:        http://download.sourceforge.net/plotmm/plotmm-%{version}.tar.gz
# Fix code to build against libsigc++20
# Upstream:
# https://sourceforge.net/tracker/?func=detail&atid=632478&aid=2082337&group_id=102665
Patch0:         plotmm-0.1.2-libsigc++20.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtkmm24-devel >= 2.4.0


%description
This package provides an extension to the gtkmm library.  
It contains widgets which are primarily useful 
for technical and scientifical purposes.
Initially, this is a 2-D plotting widget.

%package devel
Summary:        Headers for developing programs that will use plotmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel


%description devel
This package contains the headers that programmers will 
need to develop applications which will use plotmm.

%package -n plotmm-examples
Summary: 	Plotmm sample applications
Group: 		System Environment/Libraries
Requires: 	%{name} = %{version}-%{release}


%description -n plotmm-examples
Plotmm sample applications: plotmm-curves, plotmm-simple


%prep
%setup -q -n plotmm-%{version}
%patch0 -p1 -b .libsigc++20


%build
%configure --disable-static --enable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_libdir}/plotmm/examples
mv $RPM_BUILD_ROOT%{_bindir}/curves $RPM_BUILD_ROOT%{_bindir}/plotmm-curves
mv $RPM_BUILD_ROOT%{_bindir}/simple $RPM_BUILD_ROOT%{_bindir}/plotmm-simple

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc doc/html
%{_includedir}/plotmm/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n plotmm-examples
%defattr(-, root, root, -)
%{_bindir}/plotmm-curves
%{_bindir}/plotmm-simple

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.2-14
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 31 2010 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-12
- Rebuilt for F-13

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.2-9
- fix code to compile against libsigc++20

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.2-8
- fix broken BR

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.2-7
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.2-6
- Autorebuild for GCC 4.3

* Tue Sep 12 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-5
- rebuild for FC6 

* Tue Jun 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-4
- some fixes to the spec

* Tue Jun 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-3
- some syntax fixes to post and postun section

* Fri May 26 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-2
- added doc to devel package and put sample applications into plotmm-examples package

* Sat May 20 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-1
- First Packaging
